from app.config import logger
from app.models import ExportRequest, ExportResponse
from fastapi import APIRouter

export_router = APIRouter(prefix="/export", tags=["Export"])


@export_router.post("/", response_model=ExportResponse)
def export_data(request: ExportRequest):
    """
    Export analysed data (e.g., as JSON, CSV, or PDF).
    """
    logger.info(f"Exporting data as {request.format}")
    exported_data_url = ...
    return {"url": exported_data_url}
